.calltoaction-block .wrapper {
  background: var(--bbva-primary-color);
  border-radius: 1rem;
}

.calltoaction-block .calltoaction-block__overlay {
  padding: 1.5rem 6.5rem;
  background: var(--bbva-primary-color-overlay);
  border-radius: 1rem;
}

.calltoaction-block .content {
  display: flex;
  align-items: center;
}

.calltoaction-block .content .--col.--column {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
}

.calltoaction-block h2.title {
  margin-top: 0;
  color: var(--bbva-white);
  font-size: 3rem;
  line-height: 3.5rem;
}

.calltoaction-block .description {
  margin: 0;
  max-width: 50.5rem;
}

.calltoaction-block .description p {
  color: var(--bbva-white);
  margin-bottom: 0;
}

.calltoaction-block .button-container {
  width: 100%;
  max-width: 63.5rem;
  height: 4.5rem;
  padding-top: 1rem;
}

.calltoaction-block .button {
  cursor: pointer;
}

@media (max-width: 64rem) {
  .calltoaction-block .calltoaction-block__overlay {
    padding: 1.5rem 3rem;
  }
}

@media (max-width: 48rem) {
  .calltoaction-block .wrapper {
    background: var(--bbva-primary-color) !important;
  }

  .calltoaction-block .calltoaction-block__overlay {
    padding: 1rem;
    background: var(--bbva-primary-color);
  }

  .calltoaction-block h2.title {
    font-size: var(--h3-size);
    line-height: var(--h3-line);
    letter-spacing: 0;
  }

  .calltoaction-block .description {
    max-width: 100%;
  }

  .calltoaction-block .description p {
    font-size: var(--p-size);
    font-weight: 350;
    line-height: var(--p-line);
    letter-spacing: 0;
  }

  .calltoaction-block .button-container {
    width: 100%;
    height: auto;
  }

  .calltoaction-block .button {
    width: 100%;
    text-align: center;
  }
}
